org.glassfish.jersey.server.filter

## Enum HttpMethodOverrideFilter.Source

- java.lang.Object
- - java.lang.Enum<HttpMethodOverrideFilter.Source>
  - - org.glassfish.jersey.server.filter.HttpMethodOverrideFilter.Source

All Implemented Interfaces:
  Serializable, Comparable<HttpMethodOverrideFilter.Source>

Enclosing class:
  HttpMethodOverrideFilter

    public static enum HttpMethodOverrideFilter.Source
    extends Enum<HttpMethodOverrideFilter.Source>

Enumeration representing possible sources of information about the method overriding the filter should look for.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HEADER` If present in the filter configuration, causes the filter to look for a method override in the X-HTTP-Method-Override header.
`QUERY` If present in the filter configuration, causes the filter to look for a method override in the _method query parameter.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getFlag()` Returns the numeric value of the bit corresponding to this flag.
`boolean` `isPresentIn(int config)` Returns `true` if the bit corresponding to this flag is set in a given integer value.
`static HttpMethodOverrideFilter.Source` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpMethodOverrideFilter.Source[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HEADER

    public static final HttpMethodOverrideFilter.Source HEADER

If present in the filter configuration, causes the filter to look for a method override in the X-HTTP-Method-Override header.

#### QUERY

    public static final HttpMethodOverrideFilter.Source QUERY

If present in the filter configuration, causes the filter to look for a method override in the _method query parameter.

### Method Detail

#### values

    public static HttpMethodOverrideFilter.Source[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HttpMethodOverrideFilter.Source c : HttpMethodOverrideFilter.Source.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HttpMethodOverrideFilter.Source valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getFlag

    public int getFlag()

Returns the numeric value of the bit corresponding to this flag.

Returns:
  numeric value of this flag.

#### isPresentIn

    public boolean isPresentIn(int config)

Returns `true` if the bit corresponding to this flag is set in a given integer value.

Parameters:
  `config` - integer value to check for the bit corresponding to this flag.
Returns:
  `true` if the passed value has the bit corresponding to this flag set.